-- WINDOW SCALE
-- Used to scale the game up or down
-- (scales STI world map and Walls in the game! )
-- (see debug for more)
X_SCALE = 1
Y_SCALE = 1

-- TILE SCALE
-- Since this game is put together rather badly
-- the game world is 1600x960
GAME_WORLD_DIM_WIDTH = 1600
GAME_WORLD_DIM_HEIGHT = 960

--[[
* Game states:
* - MENU
* - GAME
* - PAUSE
* - WIN
]]
--
GAMESTATE = "MENU"

-- Mute for game
MUTED = false

MENU_POS = 0
MENU_MAX = 3 --0 play, 1 ?, 2 ?, 3 quit

PAUSED = false
PAUSE_POS = 0
PAUSE_MAX = 2 -- 0 resume, 1 menu,  2 quit

BULLETS_MAX = 10 -- MAX amount of bullets a player can shoot
BULLETS_BOUNCE_MAX = 7 -- MAX amount of bounces before exploding!
BULLETS_LIFETIME = 50

-- WIN flags for P1 and P2
P1_WIN = false
P2_WIN = false

-- WIN counts!
P1_COUNT = 0
P2_COUNT = 0

-- Current Level
CUR_LEVEL = 1
